Provide alternative Heimdal pkg-config example
authorPhil Pennock <pdp@exim.org>
Fri, 13 Jan 2017 04:37:50 +0000 (23:37 -0500)
committerPhil Pennock <pdp@exim.org>
Fri, 13 Jan 2017 04:37:50 +0000 (23:37 -0500)
Building Exim against Heimdal 1.5, heimdal-gssapi.pc was needed.
There's been a major version bump in Heimdal, and against 7.1 that
doesn't work; using heimdal-krb5.pc fails on missing `gss_*` functions.

I can find no build documentation for Heimdal which describes what
should be needed.  heimdal-gssapi.pc does reference heimdal-krb5.pc
in `Requires.private` but it's not being used by FreeBSD pkgconf in
such a way that it's available when building on FreeBSD 10.3.

Fortunately, our `*_PC` logic works with multiple packages listed,
so provide that example.

src/src/EDITME

index 1bff9da..c8547cd 100644 (file)
@@ -629,10 +629,14 @@ FIXED_NEVER_USERS=root
 # AUTH_GSASL_PC=libgsasl
 # AUTH_HEIMDAL_GSSAPI=yes
 # AUTH_HEIMDAL_GSSAPI_PC=heimdal-gssapi
+# AUTH_HEIMDAL_GSSAPI_PC=heimdal-gssapi heimdal-krb5
 # AUTH_PLAINTEXT=yes
 # AUTH_SPA=yes
 # AUTH_TLS=yes
 
+# Heimdal through 1.5 required pkg-config 'heimdal-gssapi'; Heimdal 7.1
+# requires multiple pkg-config files to work with Exim, so the second example
+# above is needed.
 
 #------------------------------------------------------------------------------
 # If you specified AUTH_CYRUS_SASL above, you should ensure that you have the